/*
The Fault-Tolerant Shell is Copyright (C) 2002 by Douglas Thain
This file is released under the GNU General Public License.
See the file COPYING for details.
*/

#ifndef VARIABLE_H
#define VARIABLE_H

int  variable_frame_push( int line, int argc, char **argv );
void variable_frame_pop();

void   variable_rval_set( char *rval );
char * variable_rval_get();

int  variable_shift( int n, int line );
char * variable_subst( char *value, int line );

#endif


